# OSGeo::FDO::Commands::ICommandImp Class Reference
[OSGeo::FDO::Commands]

Inheritance diagram for OSGeo::FDO::Commands::ICommandImp:

[legend]

List of all members.

## Detailed Description

The ICommandImp class is a concrete instantiation of interface ICommand. ICommand defines behavior common to all commands in FDO. In order to be executed, commands must have an association to a connection. Commands can also be optionally associated with a transaction if the connection supports transactions. The parameter values collection allows values to be specified for commands that support expressions and/or filters.

()

## Public Member Functions
System::Void | Cancel ()
| Attempts to cancel command execution. Cancel may be called on a separate thread after the commands Execute method has been called and before Execute has returned. If successful, an exception is thrown from the Execute method. If there is nothing to cancel, nothing happens. If command execution is in process, and the attempt to cancel fails or is not supported, an exception is thrown.
__property System::Int32 | get_CommandTimeOut ()
| Gets the number of milliseconds to wait before terminating the attempt to execute a command and generating an error. If the provider does not support the timeout capability, 0 is returned.
__property OSGeo::FDO::Connections::IConnection * | get_Connection ()
| Gets the IConnection that this command will operate on.
__property OSGeo::FDO::Commands::ParameterValueCollection * | get_ParameterValues ()
| Returns an ParameterValueCollection. If the command requires parameters, the literal values to bind to each of those named parameters must be added to this collection.
__property OSGeo::FDO::Connections::ITransaction * | get_Transaction ()
| Gets the transaction in which the command executes.
System::Void | Prepare ()
| Validates and optimizes the command for execution. Calling this method is optional, but recommended if bound to different sets of parameters and executed multiple times.
__property System::Void | set_CommandTimeOut (System::Int32 value)
| Sets the number of milliseconds to wait before terminating the attempt to execute a command and generating an error. If the provider does not support the timeout capability, then attempting to set a timeout will result in an exception.
__property System::Void | set_Transaction (OSGeo::FDO::Connections::ITransaction *value)
| Sets the transaction in which the command executes.
## Protected Member Functions
| ICommandImp (System::IntPtr unmanaged, System::Boolean autoDelete)